var requestType = "", bOk2 = true, page = 1;
var isClick = common.isMove,
	// 数据交互
	data = {
	    parRecord: function()
	    {
	        // 参与纪录
	        page = 1
	        $(".qb_list_all").empty();
	        requestType = "/user/HimQbaoRecordPart";
	        RequestServer(requestType, userid, page);
	        page = 2;

	    },

	    winRecord: function()
	    {
	        // 中奖纪录
	        page = 1
	        $(".qb_list_all").empty();
	        requestType = "/user/HimWinngList";
	        RequestServer(requestType, userid, page);
	        page = 2;
	    },

	    showRecord: function()
	    {
	        // 晒单纪录
	        page = 1
	        $(".qb_list_all").empty();
	        requestType = "/user/HimShareList";
	        RequestServer(requestType, userid, page);
	        page = 2;
	    },
	},

	// ui 交互
	interactive = {
	    init: function(){
	        // 初始化 参与纪录
	        data.parRecord();
	        this.menuBarScroll();
	        this.switchList();
	    },

	    // 菜单栏吸顶
	    menuBarScroll: function()
	    {
	        var menuTop = $('.select_list_box').offset().top;
			
	        // 判断是否吸顶
	        function isTop()
	        {
	            if($(window).scrollTop() >= menuTop - $('.nav_bar')[0].offsetHeight)
	            {
	                $('.select_list_box').addClass('fixed');
	                if(!$('.return_top').hasClass('show'))
	                {
	                    $('.return_top').addClass('show');
	                }
	            }
	            else
	            {
	                $('.select_list_box').removeClass('fixed');
	                $('.return_top').removeClass('show');
	            }
	        }

	        $(window).on('scroll',function(){
	            isTop();
	        });
	    },

	    switchList: function()
	    {
	        common.isMove($('.select_list ul li'),function(_this){
	            $(_this).addClass('on').siblings().removeClass('on');
	            $('.qb_list_swith').hide();
	            $('.qb_list_swith').eq($(_this).index()).show();
	            $('.slide_bar').css({
	                'transform': 'translate3d(' + $(_this)[0].offsetWidth* $(_this).index() + 'px,0,0)',
	                '-webkit-transform': 'translate3d('+$(_this)[0].offsetWidth*$(_this).index()+'px,0,0)'
	            });


	            switch($(_this).text())
	            {
	                case '参与纪录': 
	                    data.parRecord();
	                    break;
	                case '中奖纪录': 
	                    data.winRecord();
	                    break;
	                case '晒单纪录': 
	                    data.showRecord();
	                    break;
	            }
	        });
	    }
	};

interactive.init();

window.onload = function()
{
    interactive.menuBarScroll();
}

function RequestServer(requestType, userid, page) {
    $.get(requestType, { "userid": userid, "page": page }, function (data) {

        if (data == "" && page != 1) {
            $(".loading_list").text("已经到底");
        } else if (data == "" && page == 1) {
            $(".loading_list").text("暂无数据");
        } else {
            switch (requestType) {
            case "/user/HimQbaoRecordPart":
                $(".qb_list_all").append(data);
                break;
            case "/user/HimShareList":
                $(".flaunting_winning").append(data);
                break;
            case "/user/HimWinngList":
                $(".winning_list").append(data);
                break;
            default:
            }
        }

        bOk2 = true;
        //延时加载
        $("ul[page=page" + page + "]").find('img').lazyload({
            effect: "fadeIn",
            threshold: 50
        });
    });

}